Bug 115091 - URL -> Content item cache is does not work with multiple content sections
URL -> Content item cache is does not work with multiple content sections
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-02-06 10:41 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 18:01:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-06 10:41:28 EST
Description of problem:
The URL -> Content item cache in the ContentSectionServlet only caches
URLs relative to the root folder of the section. Thus if you create
two items with the same name in two different content sections, then
you stand a good chance of being served the wrong content.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go into /content/admin
2. Create an item 'foo' and publish it
3. Go into /forms/admin
4. Create an item 'foo' and publish it
5. Visit /content/foo.en
6. Visit /forms/foo.en

Actual results:
/forms/foo.en shows the item from /contnet/foo.en

Expected results:
Shows the /forms/foo.en item.


Additional info:
This applies to Troika too.
Comment 1 Scott Seago 2004-02-10 12:56:07 EST
Fixed on troika @40244.
Comment 2 Jon Orris 2004-02-11 17:38:08 EST
Confirmed fix on Rickshaw

Note You need to log in before you can comment on or make changes to this bug.